Package org.stianloader.micromixin.transform.internal.util.commenttable

## Class StringTableSection

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.commenttable.StringTableSection

All Implemented Interfaces:
  `CommentTableSection`

    public class StringTableSection
    extends java.lang.Object
    implements CommentTableSection

### Constructor Summary

Constructors
`StringTableSection​(java.util.List<java.lang.String> lines)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.String>` `getLines()`
`int` `getPreferedWidth()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringTableSection

    public StringTableSection​(@NotNull
                              java.util.List<java.lang.String> lines)

### Method Detail

#### getPreferedWidth

    public int getPreferedWidth()

Specified by:
  `getPreferedWidth` in interface `CommentTableSection`

#### getLines

    @NotNull
    public java.util.List<java.lang.String> getLines()

Specified by:
  `getLines` in interface `CommentTableSection`